%global zip_name Oplop

%if 0%{?rhel} && 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           python-oplop
Version:        1.6
Release:        3%{?dist}
Summary:        Generate account passwords based on account nicknames

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://code.google.com/p/oplop
Source0:        http://pypi.python.org/packages/source/O/%{zip_name}/%{zip_name}-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       xclip

%description
Using a single master password and various nicknames, one can create an
infinite number of unique account passwords. These unique account passwords
are commonly called password hashes, domain-specific passwords, or per-site
passwords.

%prep
%setup -qn %{zip_name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README 
%doc LICENSE
%{python_sitelib}/%{zip_name}-%{version}-py2.7.egg-info
%{python_sitelib}/oplop/
%{_bindir}/oplop

%changelog
* Tue Mar 12 2013 Abdel Martínez <potty@fedoraproject.org> - 1.6-3
- Change package name.
- Add macros for el5.

* Mon Mar 4 2013 Abdel Martínez <potty@fedoraproject.org> - 1.6-2
- Change release section.

* Sat Sep 22 2012 Abdel Martínez <potty@fedoraproject.org> - 1.6-2
- Remove superfluous requirement.

* Fri Aug 24 2012 Abdel Martínez <potty@fedoraproject.org> - 1.6-1.1
- Change requires to python2.
- Verify docs section.
- Modify install section.
- Remove macro and clean sections.

* Thu Mar 22 2012 Abdel Martínez <potty@fedoraproject.org> - 1.6-1
- First package build.
